net.sf.statsvn.input

## Class SvnXmlRepositoriesFileHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - net.sf.statsvn.input.SvnXmlRepositoriesFileHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class SvnXmlRepositoriesFileHandler
    extends org.xml.sax.helpers.DefaultHandler

This is the SAX parser for the repositories xml file. This xml file identifies the line counts xml files for all repositories for which SVN stats have been compiled.

Version:
  $Id: SvnXmlRepositoriesFileHandler.java 351 2008-03-28 18:46:26Z benoitx $
Author:
  Gunter Mussbacher <gunterm@site.uottawa.ca>

### Constructor Summary

Constructors
Constructor and Description
`SvnXmlRepositoriesFileHandler(RepositoriesBuilder repositoriesBuilder)` Default constructor

### Method Summary

Methods
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Handles the end of an xml element and redirects to the appropriate end* method.
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)` Handles the start of an xml element and redirects to the appropriate start* method.

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnXmlRepositoriesFileHandler

    public SvnXmlRepositoriesFileHandler(RepositoriesBuilder repositoriesBuilder)

Default constructor

Parameters:
  `repositoriesBuilder` - the RepositoriesBuilder to which to send back the repository information.

### Method Detail

#### endElement

    public void endElement(java.lang.String uri,
                  java.lang.String localName,
                  java.lang.String qName)
                    throws org.xml.sax.SAXException

Handles the end of an xml element and redirects to the appropriate end* method.

Specified by:
  `endElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException` - unexpected event.

#### startElement

    public void startElement(java.lang.String uri,
                    java.lang.String localName,
                    java.lang.String qName,
                    org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

Handles the start of an xml element and redirects to the appropriate start* method.

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException` - unexpected event.